<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <table class="rf-dt">
        <thead class="rf-dt-thd">
        <tr class="rf-dt-shdr">
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Name']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Type']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Card']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Content']}</b>
            </th>
            <th class="rf-dt-shdr-c">
                <b>#{messages['net.ihe.gazelle.xdstar.Action']}</b>
            </th>
        </tr>
        </thead>
        <tbody class="rf-dt-b">
        <tr class="rf-dt-r rf-dt-fst-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Name_2']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="1..1"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText id="name_content" value="#{selectedRO.name}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#name_modalpanel_editor').modal('show');"
                                     render="nameForm,name_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setName(null)}" render="name_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.DisplayName']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="1..1"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText id="displayAttributeName_content" value="#{selectedRO.displayAttributeName}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#displayAttributeName_modalpanel_editor').modal('show');"
                                     render="attributeNameForm,displayAttributeName_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setDisplayAttributeName(null)}" render="displayAttributeName_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Usages']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Usage']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="0..*"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block;" id="usages_content">
                    <table width="100%">
                        <a4j:repeat var="varr" value="#{selectedRO.usages}">
                            <tr>
                                <td style="font-size:11px">
                                    <h:outputText value="#{varr.affinity.keyword} =&gt; #{varr.transaction.keyword}"/>
                                </td>
                                <td width="30px">
                                    <h:panelGrid style="display:block" columns="5">
                                        <a4j:commandLink action="#{selectedRO.getUsages().remove(varr)}" render="usages_content">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </h:panelGrid>
                                </td>
                            </tr>
                        </a4j:repeat>
                    </table>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#usages_add').modal('show');" render="usageForm, usages_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.ExtrinsicObject']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ExtrinsicObjectMetadata']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value=""/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block;" id="extrinsic_object_content">
                    <table width="100%">
                        <a4j:repeat var="varr" value="#{selectedRO.extrinsicObject}">
                            <tr>
                                <td style="font-size:11px">
                                    <h:outputText
                                            value="#{varr.getEom().displayAttributeName.concat(' [').concat(varr.getCardinality().toString()).concat(']')}"/>
                                </td>
                                <td width="30px">
                                    <h:panelGrid style="display:block" columns="5">
                                        <a4j:commandLink actionListener="#{ROManager.setSelectedExtrinsicObjectDescriber(varr)}"
                                                         oncomplete="jq162('#extrinsic_object_edit').modal('show');"
                                                         render="extrinsic_object_form,extrinsic_object_edit">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                        <a4j:commandLink action="#{selectedRO.getExtrinsicObject().remove(varr)}" render="extrinsic_object_content">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </h:panelGrid>
                                </td>
                            </tr>
                        </a4j:repeat>
                    </table>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#extrinsic_object_add').modal('show');" render="extrinsicForm,extrinsic_object_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.RegistryPackage']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.RegistryPackageMetadata']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value=""/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block;" id="registry_package_content">
                    <table width="100%">
                        <a4j:repeat var="varr" value="#{selectedRO.registryPackage}">
                            <tr>
                                <td style="font-size:11px">
                                    <h:outputText
                                            value="#{varr.getRpm().displayAttributeName.concat(' [').concat(varr.getCardinality().toString()).concat(']')}"/>
                                </td>
                                <td width="30px">
                                    <h:panelGrid style="display:block" columns="5">
                                        <a4j:commandLink actionListener="#{ROManager.setSelectedRegistryPackageDescriber(varr)}"
                                                         oncomplete="jq162('#registry_package_edit').modal('show');"
                                                         render="registryEditForm,registry_package_edit">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                        <gdk:spacer height="5px"/>
                                        <a4j:commandLink action="#{selectedRO.getRegistryPackage().remove(varr)}" render="registry_package_content">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </h:panelGrid>
                                </td>
                            </tr>
                        </a4j:repeat>
                    </table>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup style="display:block">
                    <a4j:commandLink oncomplete="jq162('#registry_package_add').modal('show');" render="registryAddForm,registry_package_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        </tbody>
    </table>
</ui:composition>
